Skip to content
Guides
StorageAssets
asset:read

Get file

Returns one asset owned by the current store or seller, including its media metadata.

GET/v1/storage/assets/{id}

Returns one asset owned by the current store or seller, including its media metadata.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/storage/assets/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "fileName": "Example resource",  "publicUrl": "https://example.com/resource",  "contentType": "example",  "size": 1,  "width": 1,  "height": 1,  "altText": "example",  "directory": "example",  "metadata": {    "key": "example"  },  "createdOn": "2026-08-01T15:30:00Z"}